# MySQL-Front Dump 2.2
#
# Host: localhost   Database: zopeObjects
#--------------------------------------------------------
# Server version 3.23.49-log


#
# Table structure for table 'tblBLOB'
#

CREATE TABLE `tblBLOB` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` varchar(30) NOT NULL default '',
  `attrValue` longblob,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblCHAR10'
#

CREATE TABLE `tblCHAR10` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(30) NOT NULL default '',
  `attrValue` char(10) default NULL,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblCHAR100'
#

CREATE TABLE `tblCHAR100` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(30) NOT NULL default '',
  `attrValue` char(100) default NULL,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblCHAR25'
#

CREATE TABLE `tblCHAR25` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(30) NOT NULL default '',
  `attrValue` char(25) default NULL,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblCHAR255'
#

CREATE TABLE `tblCHAR255` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(30) NOT NULL default '',
  `attrValue` char(255) default NULL,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblCHAR4'
#

CREATE TABLE `tblCHAR4` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(30) NOT NULL default '',
  `attrValue` char(4) default NULL,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblDATE'
#

CREATE TABLE `tblDATE` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(30) NOT NULL default '',
  `attrValue` date default NULL,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblINTEGER'
#

CREATE TABLE `tblINTEGER` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(30) NOT NULL default '',
  `attrValue` int(20) unsigned default NULL,
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblObjectIDs'
#

CREATE TABLE `tblObjectIDs` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `LOCKED` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblObjects'
#

CREATE TABLE `tblObjects` (
  `objID` int(10) unsigned NOT NULL default '0',
  `attrType` char(16) NOT NULL default '',
  `attrID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  KEY `objID` (`objID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblRelation'
#

CREATE TABLE `tblRelation` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` char(10) NOT NULL default '',
  `attrValue` int(10) unsigned NOT NULL default '0',
  `objID` int(10) unsigned NOT NULL default '0',
  `timeStamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`)
) TYPE=MyISAM;



#
# Table structure for table 'tblfulltextindex'
#

CREATE TABLE `tblfulltextindex` (
  `attrID` int(10) unsigned NOT NULL auto_increment,
  `attrName` varchar(30) NOT NULL default '',
  `attrValue` text,
  `objID` int(10) unsigned NOT NULL default '0',
  `timestamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`attrID`),
  FULLTEXT KEY `FTI` (`attrValue`)
) TYPE=MyISAM;

